package net.sf.dc.console.audiocd;

import net.sf.dc.console.forms.DcSimpleItemView;
import net.sf.dc.console.forms.ItemForm;
import net.sf.dc.core.data.DataManager;
import net.sf.dc.core.modules.DcModules;
import net.sf.dc.core.objects.DcObject;
import net.sf.dc.core.objects.audiocd.AudioCD;
import net.sf.dc.wf.requests.RefreshChildView;
import net.sf.dc.wf.requests.RequestCollection;

public class AudioTrackForm extends DcSimpleItemView {

    private final String parentID;
    
    public AudioTrackForm(ItemForm form, AudioCD audioCd, int module, boolean readonly) {
        super(form, module, readonly);
        this.parentID = audioCd.getID();
        list.setEnabled(!readonly);
    }
   
    public void addObjects() {
        list.clear();
        list.add(DataManager.getChildren(parentID, getModuleIdx()));
    }
    
    public void open() {
        DcObject dco = list.getSelectedObject();
        if (dco != null) {
            dco.markAsUnchanged();
            AudioTrackItemForm audioTrackItemForm = new AudioTrackItemForm(true, dco, this);
            audioTrackItemForm.setVisible(true);            
        }
    }
    
    public void createNew() {
        DcObject dco = getModule().getDcObject();
        dco.setValue(dco.getParentReferenceFieldIndex(), parentID);
        
        AudioTrackItemForm itemForm = new AudioTrackItemForm(false, dco, this);
        itemForm.setVisible(true);
    }

    public RequestCollection getAfterDeleteRequests() {
        RequestCollection requests = new RequestCollection();
        requests.addRequest(new RefreshChildView(this, DcModules._AUDIOCD, null, null, parentID, false));
        return requests;
    }   
}
