/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.console.audiocd;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.Collection;

import javax.swing.JButton;

import net.sf.dc.console.ComponentFactory;
import net.sf.dc.console.MainFrame;
import net.sf.dc.console.forms.ItemForm;
import net.sf.dc.console.forms.OnlineSearchForm;
import net.sf.dc.core.DataCrow;
import net.sf.dc.core.services.DcServer;
import net.sf.dc.resources.DcResources;

public class OnlineAudioCdSearchForm extends OnlineSearchForm {
	
    public OnlineAudioCdSearchForm(ItemForm itemForm, boolean advanced) {
        super(itemForm, null, itemForm, advanced);
    }
    
    public OnlineAudioCdSearchForm(boolean advanced) {
        super(DataCrow.mainFrame, null, MainFrame._INSERTTAB, advanced);
    }
    
    protected Collection getLanguages() {
        return null;
    }
    
    protected Collection getSearchModes() {
        return null;
    }
    
    public JButton getSearchButton() {
        DcServer server = getServer();
        
        JButton button;
        if (server.isKeywordSearchAllowed()) {
            button = ComponentFactory.getButton(DcResources.getText("lblFind"));
            button.addActionListener(new SearchAction());
        } else {
            button = ComponentFactory.getButton(DcResources.getText("lblCDSearch"));
            button.addActionListener(new SearchDiscIDAction());
            button.setMnemonic('F');
        }
        return button;
    }
    
    public void startSearch() {
        saveSettings();
        setCancelMode();

        process = getServer().getProcess(this, getSearchString(), getMode(), getRegion());;
        process.setPriority(Thread.MAX_PRIORITY);
        process.start();
    }    
    
    private class SearchDiscIDAction implements ActionListener {
        public void actionPerformed(ActionEvent arg0) {
            startSearch();
        }
    }
}
