/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.console.book;

import net.sf.dc.console.components.panels.QuickViewPanel;
import net.sf.dc.core.modules.DcModules;
import net.sf.dc.core.objects.book.Book;

public class BookQuickViewPane extends QuickViewPanel {
    
    public BookQuickViewPane() {
        super(DcModules.get(DcModules._BOOK), true);
    }
    
    /**
     * Create the quickview pane for all fields 
     */
    protected String getDescriptionTable() {
        String table = "<table " + getBodyStyle() + ">\n";
        table = addTableRow(table, Book._A_TITLE, _DIRECTION_VERTICAL);
        table = addTableRow(table, Book._O_SERIES, _DIRECTION_VERTICAL);
        table = addTableRow(table, Book._P_VOLUME_NR, _DIRECTION_VERTICAL);
        table = addTableRow(table, Book._Q_VOLUME_TITLE, _DIRECTION_VERTICAL);
        table = addTableRow(table, Book._F_PUBLISHER, _DIRECTION_HORIZONTAL);
        table = addTableRow(table, Book._G_AUTHOR, _DIRECTION_HORIZONTAL);
        table = addTableRow(table, Book._C_YEAR, _DIRECTION_HORIZONTAL);
        table = addTableRow(table, Book._B_DESCRIPTION, _DIRECTION_VERTICAL);
        table = addTableRow(table, Book._I_CATEGORY, _DIRECTION_HORIZONTAL);
        table = addTableRow(table, Book._J_ISBN10, _DIRECTION_HORIZONTAL);
        table = addTableRow(table, Book._N_ISBN13, _DIRECTION_HORIZONTAL);
        table = addTableRow(table, Book._K_PICTUREFRONT, _DIRECTION_HORIZONTAL);
        table = addTableRow(table, Book._D_LOCATION, _DIRECTION_HORIZONTAL);        
        table = addTableRow(table, Book._E_RATING, _DIRECTION_HORIZONTAL);
        table += "</table>";
        return table;
    }
}
