/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.console.components;

import java.awt.GridBagConstraints;
import java.awt.Insets;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.Iterator;

import javax.swing.JCheckBox;
import javax.swing.JComponent;
import javax.swing.JLabel;
import javax.swing.JPanel;

import net.sf.dc.console.ComponentFactory;
import net.sf.dc.console.Layout;
import net.sf.dc.core.modules.DcModule;
import net.sf.dc.core.modules.DcModules;
import net.sf.ext.jflexsett.settings.ui.ISettingsComponent;

public class DcModuleSelector extends JComponent implements ISettingsComponent {

    JPanel panel = new JPanel();
    
    public DcModuleSelector() {
        buildComponent();
    }
    
    public Object getValue() {
        return "";
    }    
    
    public void setValue(Object value) {
    }
    
    private void buildComponent() {
        setLayout(Layout.getGBL());
        panel.setLayout(Layout.getGBL());

        //**********************************************************
        //Create Backup Panel
        //**********************************************************
        int y = 1;
        for (Iterator iter = DcModules.getAllModules(); iter.hasNext(); ) {
            DcModule module = (DcModule) iter.next();

            if (module.isTopModule()) {
                JCheckBox checkBox = ComponentFactory.getCheckBox("");
                checkBox.setSelected(module.isEnabled());
                checkBox.addActionListener(new ToggleModuleAction(module.getIndex()));
                JLabel label = ComponentFactory.getLabel(module.getName(), module.getIcon());
                panel.add(checkBox,   Layout.getGBC( 0, y, 1, 1, 1.0, 1.0
                   ,GridBagConstraints.NORTHWEST, GridBagConstraints.NONE,
                    new Insets( 0, 5, 5, 5), 0, 0));
                panel.add(label,      Layout.getGBC( 1, y, 1, 1, 1.0, 1.0
                   ,GridBagConstraints.NORTHWEST, GridBagConstraints.NONE,
                    new Insets( 0, 5, 5, 5), 0, 0));
                y++;
            }
        }
        
        add(panel,      Layout.getGBC( 1, y, 1, 1, 1.0, 1.0
           ,GridBagConstraints.NORTHWEST, GridBagConstraints.NONE,
            new Insets( 0, 5, 5, 5), 0, 0));
        
    }    

    private class ToggleModuleAction implements ActionListener {
        
        private final int module;
        
        public ToggleModuleAction(int module) {
            this.module = module;
        }
        
        public void actionPerformed(ActionEvent ev) {
            if (ev.getSource() instanceof JCheckBox) {
                JCheckBox checkbox = (JCheckBox) ev.getSource();
                DcModules.get(module).isEnabled(checkbox.isSelected());
            }
        }
    }
}
