/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.console.components;

import java.awt.event.ComponentEvent;
import java.awt.event.ComponentListener;

import javax.swing.JComponent;
import javax.swing.JSplitPane;

import net.sf.dc.settings.DcSettings;

public class DcViewDivider extends JSplitPane {
    
    private final String settingKey;
    
    public DcViewDivider(JComponent left, JComponent right, String settingKey) {
        super(JSplitPane.HORIZONTAL_SPLIT, left, right);
        
        this.settingKey = settingKey;
        
        setOpaque(true);
        setBorder(null);
        
        left.addComponentListener(new ComponentChangeListener());
        setDividerLocation(DcSettings.getValueAsInt(settingKey));
    }

    private class ComponentChangeListener implements ComponentListener {

        public void componentHidden(ComponentEvent ce) {}

        public void componentMoved(ComponentEvent ce) {}

        public void componentResized(ComponentEvent ce) {
            if (getLeftComponent().isVisible() && getRightComponent() != null && getRightComponent().isVisible())
                DcSettings.setValue(settingKey, new Integer(getDividerLocation()));
        }

        public void componentShown(ComponentEvent ce) {}
    }      
}
