/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.console.components.lists;

import javax.swing.DefaultListModel;

public class DcObjectListModel extends DefaultListModel {

    private boolean listenersEnabled = true;

    public boolean getListenersEnabled() {
        return listenersEnabled;
    }

    public void setListenersEnabled(boolean enabled) {
        listenersEnabled = enabled;
    }

    public void fireContentsChanged(Object source, int index0, int index1) {
        if (getListenersEnabled()) {
            try {
                super.fireContentsChanged(source, index0, index1);
            } catch (Exception exp) {}
        }
    }

    public void fireIntervalAdded(Object source, int index0, int index1) {
        if (getListenersEnabled()) {
            try {
                super.fireIntervalAdded(source, index0, index1);
            } catch (Exception exp) {}
        }
    }

    public void fireIntervalRemoved(Object source, int index0, int index1) {
        if (getListenersEnabled()) {
            super.fireIntervalAdded(source, index0, index1);
        }
    }
}
