/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.console.components.lists.elements;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.FlowLayout;
import java.util.ArrayList;
import java.util.Collection;

import javax.swing.JLabel;
import javax.swing.JPanel;

import net.sf.dc.core.objects.DcObject;
import net.sf.dc.core.objects.audiocd.AudioTrack;

public class DcAudioTrackListElement extends DcObjectListElement {

    private JPanel panelInfo;
    
    public DcAudioTrackListElement(DcObject dco) {
        super(dco);
    }
    
    public void setBackground(Color color) {
        super.setBackground(color);
        if (panelInfo != null)
            panelInfo.setBackground(color);
    }     
    
    public Collection getPictures() {
        return new ArrayList();
    }

    public void build() {
        setLayout(new FlowLayout(FlowLayout.LEFT));

        panelInfo = getPanel();
        JLabel labelNr = getLabel(AudioTrack._F_TRACKNUMBER, false, 20);
        JLabel labelTitle = getLabel(AudioTrack._A_TITLE, false, 300);
        JLabel labelLength = getLabel(AudioTrack._H_PLAYLENGTH, false, 40);
        
        panelInfo.add(labelNr);
        panelInfo.add(labelTitle);
        panelInfo.add(labelLength);
        
        panelInfo.setPreferredSize(new Dimension(360, fieldHeight));
        add(panelInfo);
    } 
}