/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.console.components.lists.elements;

import java.awt.Color;
import java.awt.Dimension;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;

import javax.swing.BorderFactory;

import net.sf.dc.core.Repository;
import net.sf.dc.core.objects.DcField;
import net.sf.dc.core.objects.DcObject;
import net.sf.dc.settings.definitions.DcFieldDefinition;
import net.sf.dc.settings.definitions.DcFieldDefinitions;

public class DcMediaObjectListElement extends DcObjectListElement {

    public DcMediaObjectListElement(DcObject dco) {
        super(dco);
        
        setPreferredSize(new Dimension(150, 200));
        setMaximumSize(new Dimension(150, 200));
        setMinimumSize(new Dimension(150, 200));
        
        setBorder(BorderFactory.createLineBorder(Color.WHITE));
    }
    
    public Collection getPictures() {
        Collection pictures = new ArrayList();
        
        DcFieldDefinitions definitions = dco.getModule().getFieldDefinitions();
        
        for (Iterator iter = definitions.iterator(); iter.hasNext(); ) {
            DcField field = dco.getField(((DcFieldDefinition) iter.next()).getIndex());
            if (field.getValueType() == Repository.datatypes._PICTURE)
                pictures.add(dco.getValue(field.getIndex()));
        }
        
        return pictures;
    }
}