/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.console.components.panels;

import java.util.ArrayList;
import java.util.Collection;

import javax.swing.JComponent;

import net.sf.dc.console.dialogs.MessageBox;
import net.sf.dc.console.views.table.TableInsertView;
import net.sf.dc.core.IconLibrary;
import net.sf.dc.core.modules.DcModules;
import net.sf.dc.core.objects.DcObject;
import net.sf.dc.resources.DcResources;

public class ParentInsertTablePanel extends TableInsertView {

    /**
     * Creates the panel
     */
    public ParentInsertTablePanel(int module) {
        super(DcModules.get(module),
              DcResources.getText("lblNewItem", DcModules.get(module).getObjectName()),
              IconLibrary._icoItemsNew);
    }

    public void open() {
        cancelEdit();

        int selectedRow = table.getSelectedRow();
        if (selectedRow == -1) {
            new MessageBox(DcResources.getText("msgSelectRowToOpen"), MessageBox._WARNING);
        } else {
            DcObject dco = getObjectForSaving(selectedRow);
            dco.removeRequestors();
            open(dco, false, false);
        }
    }    
    
    public Collection getChildren(String parentID) {
        return new ArrayList();
    }
    
    public JComponent[] getExtraComponents() {
        return new JComponent[0];
    }
}
