/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.console.components.panels;

import javax.swing.JComponent;

import net.sf.dc.console.views.table.TableSearchView;
import net.sf.dc.core.data.DataManager;
import net.sf.dc.core.modules.DcModules;

public class ParentSearchTablePanel extends TableSearchView {

    public ParentSearchTablePanel(int module, int sortOnIdx) {
        super(DcModules.get(module), DcModules.get(module).getObjectName());
    }

    public JComponent[] getExtraComponents() {
        return new JComponent[0];
    }

    public void loadChildValues() {
        if (hasChild()) {
            int selectedRow = table.getSelectedRow();
            if (selectedRow > -1) {
                String ID = table.getObjectID(selectedRow);
                childView.setParentID(ID);
                childView.add(DataManager.getChildren(ID, getChildModule().getIndex()));
            }
        }
    }

    public void removeNewChild (String sID) {}
}
