/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.console.contactperson;

import net.sf.dc.console.components.panels.QuickViewPanel;
import net.sf.dc.core.modules.DcModules;
import net.sf.dc.core.objects.contactperson.ContactPerson;

public class ContactPersonQuickViewPane extends QuickViewPanel {
    
    public ContactPersonQuickViewPane() {
        super(DcModules.get(DcModules._CONTACTPERSON), true);
    }
    
    protected String getDescriptionTable() {
        String table = "<table " + getBodyStyle() + ">\n";
        table = addTableRow(table, ContactPerson._A_NAME, QuickViewPanel._DIRECTION_HORIZONTAL);
        table = addTableRow(table, ContactPerson._B_DESCRIPTION, QuickViewPanel._DIRECTION_HORIZONTAL);
        table = addTableRow(table, ContactPerson._C_PHOTO, QuickViewPanel._DIRECTION_HORIZONTAL);
        table = addTableRow(table, ContactPerson._D_CATEGORY, QuickViewPanel._DIRECTION_HORIZONTAL);
        table += "</table>";        
        return table;
    }
}
