/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.console.forms;

import net.sf.dc.console.dialogs.MessageBox;
import net.sf.dc.core.DataCrow;
import net.sf.dc.core.objects.DcObject;
import net.sf.dc.resources.DcResources;

public abstract class AmazonSearchForm extends OnlineSearchForm {
    
    public AmazonSearchForm(DcObject dco, ItemForm itemForm, boolean advanced) {
        super(itemForm, dco, itemForm, advanced);
    }
    
    public AmazonSearchForm(DcObject dco, int tab, boolean advanced) {
        super(DataCrow.mainFrame, dco, tab, advanced);
    }
    
    public void startSearch() {
        setCancelMode();
        saveSettings();
        
        if (process != null) { 
            process.cancelSearch();
            process = null;
        }
        
        String keywords = getSearchString();
        if (keywords.length() >= 2) {
            process = getServer().getProcess(this, keywords, getMode(), getRegion());
        	process.setPriority(Thread.MAX_PRIORITY);
        	process.start();
        } else {
            new MessageBox(DcResources.getText("msgSearchStringLength", "2"), MessageBox._WARNING);            
            setSearchMode();
        }
    }
}
