/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.console.menu;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.AbstractAction;
import javax.swing.text.JTextComponent;

/**
 * @author Golan
 */
public class DcEditPopupAction {
    
    private static JTextComponent comp;
    
    /**
     * Creates a new instance of DcPopupShortAction
     */
    public DcEditPopupAction(JTextComponent comp) {
        DcEditPopupAction.comp = comp;
    }
    
     public class PopupCutAction extends AbstractAction implements ActionListener{
       public PopupCutAction(){
           super();
       }
        public void actionPerformed(ActionEvent e) {
            comp.cut();
        }
    }

    public class PopupCopyAction extends AbstractAction implements ActionListener{
        public PopupCopyAction(){
            super();
        }
        public void actionPerformed(ActionEvent e) {
           comp.copy();
        }
    }

    public class PopupPasteAction extends AbstractAction implements ActionListener{
        public PopupPasteAction(){
            super();
        }
        public void actionPerformed(ActionEvent e) {
           comp.paste();
        }
    }
    
    public class PopupSelectAllAction extends AbstractAction implements ActionListener{
        public PopupSelectAllAction(){
            super();
        }
        public void actionPerformed(ActionEvent e) {
           comp.selectAll();
        }
    }
}
