/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.console.menu;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JMenuItem;
import javax.swing.JPopupMenu;

import net.sf.dc.console.forms.DcSimpleItemView;
import net.sf.dc.core.IconLibrary;
import net.sf.dc.core.objects.DcObject;
import net.sf.dc.resources.DcResources;

public class DcSimpleItemViewPopupMenu extends JPopupMenu {

    public static final int _INSERT = 0;
    public static final int _SEARCH = 1;
    
    private DcSimpleItemView form;
    
    public DcSimpleItemViewPopupMenu(DcObject dco, DcSimpleItemView form) {
        this.form = form;

        JMenuItem menuOpen = new JMenuItem(DcResources.getText("lblOpenItem", ""), IconLibrary._icoOpen);
        JMenuItem menuDelete = new JMenuItem(DcResources.getText("lblDelete"), IconLibrary._icoDelete);
        
        menuOpen.addActionListener(new OpenAction());
        menuDelete.addActionListener(new DeleteAction());

        add(menuOpen);
        add(menuDelete);
    }

    private class DeleteAction implements ActionListener {
        public void actionPerformed(ActionEvent arg0) {
            form.delete();
        }
    }
    
    private class OpenAction implements ActionListener {
        public void actionPerformed(ActionEvent arg0) {
            form.open();
        }
    }
}