/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.console.movie;

import net.sf.dc.console.components.panels.QuickViewPanel;
import net.sf.dc.core.modules.DcModules;
import net.sf.dc.core.objects.movie.Movie;

public class MovieQuickViewPane extends QuickViewPanel {
    
    public MovieQuickViewPane() {
        super(DcModules.get(DcModules._AUDIOCD), true);
    }
    
    protected String getDescriptionTable() {
        String table = "<table " + getBodyStyle() + ">\n";
        table = addTableRow(table, Movie._A_TITLE, _DIRECTION_VERTICAL);
        table = addTableRow(table, Movie._8_SERIES, _DIRECTION_VERTICAL);
        table = addTableRow(table, Movie._9_SEASON, _DIRECTION_VERTICAL);
        table = addTableRow(table, Movie._10_EPISODE_NR, _DIRECTION_VERTICAL);
        table = addTableRow(table, Movie._11_EPISODE_TITLE, _DIRECTION_VERTICAL);
        table = addTableRow(table, Movie._F_TITLE_LOCAL, _DIRECTION_VERTICAL);
        table = addTableRow(table, Movie._C_YEAR, _DIRECTION_HORIZONTAL);
        table = addTableRow(table, Movie._L_PLAYLENGTH, _DIRECTION_HORIZONTAL);
        table = addTableRow(table, Movie._B_DESCRIPTION, _DIRECTION_VERTICAL);
        table = addTableRow(table, Movie._H_GENRES, _DIRECTION_HORIZONTAL);
        table = addTableRow(table, Movie._I_ACTORS, _DIRECTION_HORIZONTAL);
        table = addTableRow(table, Movie._J_DIRECTOR, _DIRECTION_HORIZONTAL);
        table = addTableRow(table, Movie._K_COUNTRY, _DIRECTION_HORIZONTAL);
        table = addTableRow(table, Movie._0_LANGUAGE, _DIRECTION_HORIZONTAL);
        table = addTableRow(table, Movie._1_AUDIOLANGUAGE, _DIRECTION_HORIZONTAL);
        table = addTableRow(table, Movie._X_PICTUREFRONT, _DIRECTION_HORIZONTAL);
        table = addTableRow(table, Movie._Y_PICTUREBACK, _DIRECTION_HORIZONTAL);
        table = addTableRow(table, Movie._Z_PICTURECD, _DIRECTION_HORIZONTAL);
        table = addTableRow(table, Movie._D_LOCATION, _DIRECTION_HORIZONTAL);
        table = addTableRow(table, Movie._E_RATING, _DIRECTION_HORIZONTAL);
        table += "</table>";        
        return table;
    }
}
