/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core;

import java.awt.Image;

import javax.swing.ImageIcon;

public abstract class IconLibrary {

    public final static String picPath = DataCrow.baseDir + "icons_system/";

    static {
        if (System.getProperty("os.name").toLowerCase().startsWith("win"))
            _icoMain = new ImageIcon(picPath + "datacrow.gif");
        else
            _icoMain = new ImageIcon(picPath + "datacrow.jpg");
    }

    public static ImageIcon _icoMain;
    
    public final static ImageIcon _icoTreeLeaf = new ImageIcon(picPath + "tree_leaf.png");
    public final static ImageIcon _icoTreeOpen = new ImageIcon(picPath + "tree_open.png");
    public final static ImageIcon _icoTreeClosed = new ImageIcon(picPath + "tree_closed.png");
    
    public final static ImageIcon _icoCalendar = new ImageIcon(picPath + "calendar.png");
    public final static ImageIcon _icoTemplate = new ImageIcon(picPath + "template.png");
    public final static ImageIcon _icoRenumber = new ImageIcon(picPath + "renumber.png");
    public final static ImageIcon _icoTitleRewriter = new ImageIcon(picPath + "title_rewriter.png");
    public final static ImageIcon _icoMassUpdate = new ImageIcon(picPath + "massupdate.png");
    
    public final static ImageIcon _icoAccept = new ImageIcon(picPath + "accept.png");
    
    public final static ImageIcon _icoBookModule = new ImageIcon(picPath + "module_book.png");
    public final static ImageIcon _icoSoftwareModule = new ImageIcon(picPath + "module_software.png");
    public final static ImageIcon _icoMovieModule = new ImageIcon(picPath + "module_movie.png");
    public final static ImageIcon _icoMusicModule = new ImageIcon(picPath + "module_musicfile.png");
    public final static ImageIcon _icoAudioCDModule = new ImageIcon(picPath + "module_audiocd.png");
    public final static ImageIcon _icoGenericModule = new ImageIcon(picPath + "module_generic.png");
    public final static ImageIcon _icoPersonModule = new ImageIcon(picPath + "module_contactperson.png");
    public final static ImageIcon _icoImageModule = new ImageIcon(picPath + "module_image.png");
    
    public final static ImageIcon _icoBookModule16 = new ImageIcon(picPath + "module_book_small.png");
    public final static ImageIcon _icoSoftwareModule16 = new ImageIcon(picPath + "module_software_small.png");
    public final static ImageIcon _icoMovieModule16 = new ImageIcon(picPath + "module_movie_small.png");
    public final static ImageIcon _icoMusicModule16 = new ImageIcon(picPath + "module_musicfile_small.png");
    public final static ImageIcon _icoAudioCDModule16 = new ImageIcon(picPath + "module_audiocd_small.png");
    public final static ImageIcon _icoGenericModule16 = new ImageIcon(picPath + "module_generic_small.png");
    public final static ImageIcon _icoPersonModule16 = new ImageIcon(picPath + "module_contactperson_small.png");
    public final static ImageIcon _icoImageModule16 = new ImageIcon(picPath + "module_image_small.png");
    
    
    public final static Image _icoEmptyPictureLarge = new ImageIcon(picPath + "pictureempty.gif").getImage();
    public final static Image _icoEmptyPictureSmall = new ImageIcon(picPath + "pictureempty_small.gif").getImage();

    public final static ImageIcon _icoLAF = new ImageIcon(picPath + "laf.png");
    
    public final static ImageIcon _icoCut = new ImageIcon(picPath + "cut.png");
    public final static ImageIcon _icoCopy = new ImageIcon(picPath + "copy.png");
    public final static ImageIcon _icoPaste = new ImageIcon(picPath + "paste.png");
    public final static ImageIcon _icoUpdateAll = new ImageIcon(picPath + "updateall.png");

    public final static ImageIcon _icoSort = new ImageIcon(picPath + "sort.png");
    
    public final static ImageIcon _icoPicture = new ImageIcon(picPath + "picture.png");
    public final static ImageIcon _icoAnchor = new ImageIcon(picPath + "anchor.png");
    public final static ImageIcon _icoMessages = new ImageIcon(picPath + "messages.gif");
	public final static ImageIcon _icoLabels = new ImageIcon(picPath + "labels.gif");
    public final static ImageIcon _icoTooltips = new ImageIcon(picPath + "tooltips.gif");

    public final static ImageIcon _icoSQLTool = new ImageIcon(picPath + "sqltool.png");
	public final static ImageIcon _icoFileImport = new ImageIcon(picPath + "importfile.png");
	public final static ImageIcon _icoImport = new ImageIcon(picPath + "import.png");
    public final static ImageIcon _icoReport = new ImageIcon(picPath + "report.png");

    public final static ImageIcon _icoNote = new ImageIcon(picPath + "note.png");
    public final static ImageIcon _icoLoan = new ImageIcon(picPath + "loan.png");
    public final static ImageIcon _icoBackup = new ImageIcon(picPath + "backup.png");

    public final static ImageIcon _icoOpenApplication = new ImageIcon(picPath + "openapplication.png");

    public final static ImageIcon _icoEventLog = new ImageIcon(picPath + "eventlog.png");
    public final static ImageIcon _icoItemsNew = new ImageIcon(picPath + "itemsnew.png");
    public final static ImageIcon _icoInformation = new ImageIcon(picPath + "information.png");
    public final static ImageIcon _icoInformationTechnical = new ImageIcon(picPath + "informationtechnical.png");

    public final static ImageIcon _icoExit = new ImageIcon(picPath + "exit.png");
    public final static ImageIcon _icoSearch = new ImageIcon(picPath + "search.gif");
    public final static ImageIcon _icoSearchAgain = new ImageIcon(picPath + "searchagain.gif");
    public final static ImageIcon _icoQuestion = new ImageIcon(picPath + "help.png");
    public final static ImageIcon _icoError = new ImageIcon(picPath + "error.png");
    public final static ImageIcon _icoHelp = new ImageIcon(picPath + "help.png");
    public final static ImageIcon _icoSearchOnline = new ImageIcon(picPath + "searchonline.png");
    public final static ImageIcon _icoWarning = new ImageIcon(picPath + "warning.png");
    public final static ImageIcon _icoSettings = new ImageIcon(picPath + "settings.png");
    public final static ImageIcon _icoAbout = new ImageIcon(picPath + "about.png");
    public final static ImageIcon _icoSave = new ImageIcon(picPath + "save.png");
    public final static ImageIcon _icoSaveAll = new ImageIcon(picPath + "saveall.png");
    public final static ImageIcon _icoAdd = new ImageIcon(picPath + "add.png");
    public final static ImageIcon _icoOpen = new ImageIcon(picPath + "open.png");
    public final static ImageIcon _icoDelete = new ImageIcon(picPath + "delete.png");
    public final static ImageIcon _icoWizard = new ImageIcon(picPath + "wizard.png");

    public final static ImageIcon _icoRating0 = new ImageIcon(picPath + "rating0.gif");
    public final static ImageIcon _icoRating1 = new ImageIcon(picPath + "rating1.gif");
    public final static ImageIcon _icoRating2 = new ImageIcon(picPath + "rating2.gif");
    public final static ImageIcon _icoRating3 = new ImageIcon(picPath + "rating3.gif");
    public final static ImageIcon _icoRating4 = new ImageIcon(picPath + "rating4.gif");
    public final static ImageIcon _icoRating5 = new ImageIcon(picPath + "rating5.gif");

    public final static ImageIcon _icoTips = new ImageIcon(picPath + "tips.gif");
    
    public final static ImageIcon _icoCardView = new ImageIcon(picPath + "viewcard.gif");
    public final static ImageIcon _icoTableView = new ImageIcon(picPath + "viewtable.gif");

    public final static ImageIcon _icoUnchecked = new ImageIcon(picPath + "unchecked.gif");
    public final static ImageIcon _icoChecked = new ImageIcon(picPath + "checked.gif");

    public final static ImageIcon _icoArrowUp = new ImageIcon(picPath + "arrow_up.png");
    public final static ImageIcon _icoArrowDown = new ImageIcon(picPath + "arrow_down.png");
}
