/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core;

public abstract class Repository {

    public static final class system {
        public static final int versionMajor = 2;
        public static final int versionMinor = 12;
        public static final int versionBuild = 0;
        public static final int versionPatch = 0;

        public static final String product = "Data Crow";

        public static final String version = product + " " + versionMajor + "." +
                                                             versionMinor + "." +
                                                             versionBuild;

        public static final String releasedate = "Released on June 16, 2007";
    }

    public static final class settings {
        public static final String stOnlineServiceSettings = "Online_Service_Settings_";
        public static final String stOnlineUpdateFieldSettings = "Online_Update_Field_Settings_";
        public static final String stGroupedBy = "Grouped_By_";
        public static final String stShowGroupingPanel = "Show_Grouping_Panel";
        public static final String stReportFile = "Report_File";
    	public static final String stShowQuickFilterBar = "Show_Quick_Filter_Bar";
        public static final String stHsqlCacheScale = "hsql_cache_scale";
        public static final String stHsqlCacheSizeScale = "hsql_cache_size_scale";
        public static final String stGarbageCollectionIntervalMs = "gargabe_collection_interval_milliseconds";
        public static final String stFontAntiAliasing = "font_anti_aliasing";
        public static final String stModuleSettings = "module_settings";
        public static final String stSoftwareModuleEnabled = "software_module_enabled";
        public static final String stImageModuleEnabled = "image_module_enabled";
        public static final String stAudioCDModuleEnabled = "audiocd_module_enabled";
        public static final String stBookModuleEnabled = "book_module_enabled";
        public static final String stContactPersonModuleEnabled = "contact_person_module_enabled";
        public static final String stMovieModuleEnabled = "movie_module_enabled";
        public static final String stGenericModuleEnabled = "generic_module_enabled";
        public static final String stMusicAlbumModuleEnabled = "music_album_module_enabled";
        public static final String stSelectedView = "selected_view";
        public static final String stVersionMajor = "version_major";
        public static final String stVersionMinor = "version_minor";
        public static final String stVersionBuild = "version_build";
        public static final String stLoanFormSize = "Loan_Form_Size";
        public static final String stSortDialogSize = "Sort_Dialog_Size";
        public static final String stLookAndFeel = "Look_And_Feel";
        public static final String stShowTipsOnStartup = "Show_Tips_On_Startup";
        public static final String stFileImportDialogSize = "File_Import_Dialog_Size";
        public static final String stOnlineUpdateOverwriteSettingsDialogSize = "Online_Update_Overwrite_Settings_Dialog_Size";
        public static final String stFieldDefinitionsGenre = "Genre_Field_Definitions";
        public static final String stFieldDefinitionsMapping = "Mapping_Field_Definitions";
        public static final String stFieldDefinitionsTemplateMovie = "Movie_Template_Field_Definitions";
        public static final String stFieldDefinitionsTemplateImage = "Image_Template_Field_Definitions";
        public static final String stFieldDefinitionsTemplateAudioCd = "Audio_CD_Template_Field_Definitions";
        public static final String stFieldDefinitionsTemplateBook = "Book_Template_Field_Definitions";
        public static final String stFieldDefinitionsTemplateSoftware = "Software_Template_Field_Definitions";
        public static final String stFieldDefinitionsImageStorage = "Image_Storage_Field_Definitions";
        public static final String stFieldDefinitionsMovieStorage = "Movie_Storage_Field_Definitions";
        public static final String stFieldDefinitionsSoftwareStorage = "Software_Storage_Field_Definitions";
        public static final String stFieldDefinitionsTemplateMusicAlbum = "Music_Album_Template_Field_Definitions";
        public static final String stFieldDefinitionsTemplateMusicTrack = "Music_Track_Template_Field_Definitions";
        public static final String stFieldDefinitionsLoan = "Loan_Field_Definitions";
        public static final String stFieldDefinitionsPictures = "Picture_Field_Definitions";
        public static final String stFieldDefinitionsPerson = "Person_Field_Definitions";
        public static final String stFieldDefinitionsMovie = "Movie_Field_Definitions";
        public static final String stFieldDefinitionsMusic = "Music_Field_Definitions";
        public static final String stFieldDefinitionsAudioCD = "AudioCD_Field_Definitions";
        public static final String stFieldDefinitionsAudioTrack = "AudioTrack_Field_Definitions";
        public static final String stFieldDefinitionsGeneric = "Generic_Field_Definitions";
        public static final String stFieldDefinitionsSoftware = "Software_Field_Definitions";
        public static final String stFieldDefinitionsImage = "Image_Field_Definitions";
        public static final String stFieldDefinitionsBook = "Book_Field_Definitions";
        public static final String stFieldDefinitionsSoftwareCategory = "Software_Category_Field_Definitions";
        public static final String stFieldDefinitionsBookCategory = "Book_Category_Definitions";
        public static final String stFieldDefinitionsImageCategory = "Image_Category_Definitions";
        public static final String stFieldDefinitionsPersonType = "Person_Type_Definitions";
        public static final String stFieldDefinitionsAudioCDState = "AudioCD_State_Definitions";
        public static final String stFieldDefinitionsBookState = "Book_State_Definitions";
        public static final String stFieldDefinitionsMovieState = "Movie_State_Definitions";
        public static final String stFieldDefinitionsImageState = "Image_State_Definitions";
        public static final String stFieldDefinitionsSoftwareState = "Software_State_Definitions";
        public static final String stFieldDefinitionsSoftwarePlatform = "Software_Platform_Definitions";
        public static final String stFieldDefinitionsMusicAlbum = "Music_Album_Field_Definitions";
        public static final String stFieldDefinitionsMusicTrack = "Music_Track_Field_Definitions";
        public static final String stFieldDefinitionsMusicAlbumState = "Music_Album_Field_State_Defintions_Definitions";
        public static final String stFieldDefinitionsMusicTrackState = "Music_Track_Field_State_Field_Definitions";
        public static final String stFieldDefinitionsMusicAlbumStorage = "Music_Album_Storage_Field_Definitions";
        public static final String stProgramDefinitions = "Program_Definitions";
        public static final String stQuickViewDividerLocation = "Quick_View_Divider_Location";
        public static final String stTreeDividerLocation = "Tree_Divider_Location";
        public static final String stReferencesDialogSize = "References_Dialog_Size";
        public static final String stModuleSelectDialogSize = "module_select_dialog_size";
        public static final String stResourcesEditorViewSize = "Resources_Editor_View_Size";
        public static final String stDeleteImageFileAfterImport = "Delete_Images_After_Import";
        public static final String stShowQuickView = "Show_Quick_View";
        public static final String stBackupDialogSize = "Backup_Dialog_Size";
        public static final String stReportingDialogSize = "Reporting_Dialog_Size";
        public static final String stWizardFormSize = "Wizard_Form_Size";
        public static final String stShowMenuBarLabels = "Show_Menubar_Labels";
        public static final String stShowModuleList = "Show_Module_List";
        public static final String stSystemFontNormal = "System_Font_Normal";
        public static final String stSystemFontBold = "System_Font_Bold";
        public static final String stTableHeaderColor = "Table_Header_Color";
        public static final String stOddRowColor = "Odd_Row_color";
        public static final String stEvenRowColor = "Even_Row_color";
        public static final String stRowSelectionColor = "Row_Selection_color";
        public static final String stBroadband = "Broadband_Connection";
        public static final String stTextViewerSize = "Text_Viewer_Size";
        public static final String stLastDirectoryUsed = "Last_Used_Directory";
        public static final String stCheckRequiredFields = "Check_Required_Fields";
        public static final String stCheckUniqueness = "Check_for_uniqueness";
        public static final String stDatabaseDriver = "Database_Driver";
        public static final String stConnectionString = "Connection_String";
        public static final String stModule = "Default_module";
        public static final String stHTTPUserAgent = "HTTP_user_agent";
        public static final String stProxyServerName = "Proxy_Server_name";
        public static final String stProxyServerPort = "Proxy_Server_port";
        public static final String stFieldSettingsDialogSize = "Field_Settings_Dialog_Size";
        public static final String stOnlineSearchFormSize = "Online_Search_Form_Size";
//        public static final String stMovieOnlineUpdateServer = "Movie_Online_Update_Server";
//        public static final String stSoftwareOnlineUpdateServer = "Software_Online_Update_Server";
//        public static final String stBookOnlineUpdateServer = "Book_Online_Update_Server";
//        public static final String stAudioCdOnlineUpdateServer = "Audio_CD_Online_Update_Server";
        public static final String stMainViewSize = "Main_View_Size";
        public static final String stMainViewState = "Main_View_State";
        public static final String stItemFormViewSize = "Item_Form_Size";
        public static final String stTabbedPaneSize = "Tabbed_Pane_Size";
        public static final String stSimpleItemViewSize = "Simple_Item_View_Size";
        public static final String stSimpleItemFormSize = "Simple_Item_Form_Size";
        public static final String stAudioCDItemFormViewSize = "Audio_CD_Item_Form_Size";
        public static final String stPersonItemFormViewSize = "Person_Item_Form_Size";
        public static final String stMusicAlbumFormViewSize = "Music_Album_Form_Size";
        public static final String stImageItemFormViewSize = "Image_Item_Form_Size";
        public static final String stMovieItemFormViewSize = "Movie_Item_Form_Size";
        public static final String stSoftwareItemFormViewSize = "Software_Item_Form_Size";
        public static final String stBookItemFormViewSize = "Book_Item_Form_Size";
        public static final String stODBOverwriteValues = "ODB_overwrite_existing_Values";
        public static final String stAutoCreateSubItems = "auto_create_subitems";
        public static final String stAutoAddPerfectMatch = "auto_add_perfect_match";
        public static final String stHelpFormSize = "Help_Form_Size";
        public static final String stExpertFormSize = "Expert_Form_Size";
        public static final String stUpdateAllDialogSize = "Update_All_Dialog_Size";
        public static final String stShowTableTooltip = "Show_Table_Tooltip";
        public static final String stImportCDDialogSize = "Import_CD_Dialog_Size";
        public static final String stImportMusicFileDialogSize = "Import_Music_Files_Dialog_Size";
        public static final String stItemSynchronizerDialogSize = "Item_Synchronizer_Dialog_Size";
        public static final String stImportAudioCDDialogSize = "Import_Audio_CD_Dialog_Size";
        public static final String stBrowserPath = "Browser_Path";
        public static final String stShowHiddenFieldsInForm = "Show_hidden_fields_in_forms";
        public static final String stProxyPassword = "Proxy_Password";
        public static final String stProxyUserName = "Proxy_Username";
        public static final String stUpdateAllSelectedItemsOnly = "Update_All_Selected_Rows_Only";
        public static final String stSoftwareSearchOrder = "Software_Search_Order";
        public static final String stImageSearchOrder = "Image_Search_Order";
        public static final String stAudioCDSearchOrder = "Audio_CD_Search_Order";
        public static final String stMovieSearchOrder = "Movie_Search_Order";
        public static final String stMusicAlbumSearchOrder = "Music_Album_Search_Order";
        public static final String stPersonSearchOrder = "Person_Search_Order";
        public static final String stGenericSearchOrder = "Generic_Search_Order";
        public static final String stBookSearchOrder = "Book_Search_Order";
    }

    public static final class collections {
        public static final String[] colMusicGenres = {"A Capela", "Acid Jazz"
            , "Acid Punk", "Acid", "Acoustic", "Alternative", "AlternRock"
            , "Ambient", "Anime", "Avantgarde", "Ballad", "Bass", "Beat"
            , "Bebob", "Big Band", "Black Metal", "Bluegrass", "Blues", "Booty Brass"
            , "BritPop", "Cabaret", "Celtic", "Chamber Music", "Chanson"
            , "Chorus", "Christian Gangsta Rap", "Christian Rap", "Christian Rock"
            , "Classic Rock", "Classical", "Club", "Club-House", "Comedy", "Contemporary Christian"
            , "Country", "Crossover", "Cult", "Dance Hall", "Dance", "Darkwave"
            , "Death Metal", "Disco", "Dream", "Drum & Bass", "Drum Solo", "Duet"
            , "Easy Listening", "Electronic", "Ethnic", "Eurodance", "Euro-House"
            , "Euro-Techno", "Fast Fusion", "Folk", "Folklore", "Folk-Rock"
            , "Freestyle", "Funk", "Fusion", "Game", "Gangsta", "Goa", "Gospel"
            , "Gothic Rock", "Gothic", "Grunge", "Hard Rock", "Hardcore", "Heavy Metal"
            , "Hip-Hop", "House", "Humour", "Indie", "Industrial", "Instrumental Pop"
            , "Instrumental Rock", "Instrumental", "Jazz", "Jazz+Funk", "JPop"
            , "Jungle", "Latin", "Lo-Fi", "Meditative", "Merengue", "Metal", "Musical"
            , "National Folk", "Native American", "Negerpunk", "New Age", "New Wave"
            , "Noise", "Oldies", "Opera", "Other", "Polka", "Polsk Punk", "Pop"
            , "Pop/Funk", "Pop-Folk", "Porn Groove", "Power Ballad", "Pranks"
            , "Primus", "Progressive Rock", "Psychadelic", "Psychedelic Rock"
            , "Punk Rock", "Punk", "R&B", "Rap", "Rave", "Reggae", "Retro"
            , "Revival", "Rhythmic Soul", "Rock & Roll", "Rock", "Salsa", "Samba"
            , "Satire", "Showtunes", "Ska", "Slow Jam", "Slow Rock", "Sonata"
            , "Soul", "Sound Clip", "Soundtrack", "Southern Rock", "Space"
            , "Speech", "Swing", "Symphonic Rock", "Symphony", "SynthPop", "Tango"
            , "Techno", "Techno-Industrial", "Terror", "Thrash Metal", "Top 40"
            , "Trailer", "Trance", "Tribal", "Trip-Hop", "Vocal"};
    }

    public static final class datatypes {
        public static final int _STRING = 0;
        public static final int _INTEGER = 1;
        public static final int _COLOR = 2;
        public static final int _BOOLEAN = 3;
        public static final int _STRINGARRAY = 4;
        public static final int _DIMENSION = 5;
        public static final int _INTEGERARRAY = 6;
        public static final int _PICTURE = 7;
        public static final int _DCOBJECTREFERENCE = 8;
        public static final int _FONT = 9;
        public static final int _DEFINITIONGROUP = 10;
        public static final int _DATE = 11;
        public static final int _ICON = 12;
        public static final int _BLOB = 13;
        public static final int _LOOKANDFEEL = 14;
        public static final int _DCPARENTREFERENCE = 15;
        public static final int _BIGINTEGER = 16;
        public static final int _BYTEARRAY = 17;
        public static final int _DCOBJECTCOLLECTION = 18;
    }

    public static final class operators {
        public static final String opTab = "   ";
        public static final String opSeparator = " -- ";
    }

    public static final class systemlabels {
        public static final String sysStorageMedium = "sysStorageMedium";
        public static final String sysStorageMediumPlural = "sysStorageMediumPlural";
        public static final String sysGenericModule = "sysGenericModule";
        public static final String sysContactPerson = "sysContactPerson";
        public static final String sysContactPersonPlural = "sysContactPersonPlural";
        public static final String sysLoan = "sysLoan";
        public static final String sysGenre = "sysGenre";
        public static final String sysGenrePlural = "sysGenrePlural";
        public static final String sysMovie = "sysMovie";
        public static final String sysMoviePlural = "sysMoviePlural";
        public static final String sysAudioCD = "sysAudioCD";
        public static final String sysAudioCDPlural = "sysAudioCDPlural";
        public static final String sysAudioTrack = "sysAudioTrack";
        public static final String sysAudioTrackPlural = "sysAudioTrackPlural";
        public static final String sysBook = "sysBook";
        public static final String sysBookPlural = "sysBookPlural";
        public static final String sysSoftware = "sysSoftware";
        public static final String sysSoftwarePlural = "sysSoftwarePlural";
        public static final String sysCategory = "sysCategory";
        public static final String sysCategoryPlural = "sysCategoryPlural";
        public static final String sysState = "sysState";
        public static final String sysStatePlural = "sysStatePlural";
        public static final String sysPlatform = "sysPlatform";
        public static final String sysPlatformPlural = "sysPlatformPlural";
        public static final String sysTemplate = "sysTemplate";
        public static final String sysTemplatePlural = "sysTemplatePlural";
        public static final String sysMusicAlbum = "sysMusicAlbum";
        public static final String sysMusicAlbumPlural = "sysMusicAlbumPlural";
        public static final String sysMusicTrack = "sysMusicTrack";
        public static final String sysMusicTrackPlural = "sysMusicTrackPlural";
        public static final String sysImage = "sysImage";
        public static final String sysImagePlural = "sysImagePlural";
        public static final String sysGenreMapping = "sysGenreMapping";
        public static final String sysGenreMappingPlural = "sysGenreMappingPlural";
    }

    public static final class database {
        public static final String _FIELDDATE = "date";
        public static final String _FIELDINTEGER = "integer";
        public static final String _FIELDBIGINT = "bigint";
        public static final String _FIELDLONGSTRING = "varchar";
        public static final String _FIELDSTRING = "varchar";
        public static final String _FIELDOBJECT = "longvarchar";
        public static final String _FIELDBOOLEAN = "boolean";

        public static final String _PREDEFINEDQRY =
            "SELECT * FROM software WHERE type IS NOT NULL \n";
    }
}

