/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core.actions;

import java.awt.event.ActionEvent;
import java.util.Collection;
import java.util.Iterator;

import net.sf.dc.console.forms.ItemForm;
import net.sf.dc.core.DataCrow;
import net.sf.dc.core.modules.DcModule;
import net.sf.dc.core.objects.DcObject;
import net.sf.dc.core.objects.Picture;

public class EditAsNewAction extends DcAction {

    private DcObject dco;
    
    public EditAsNewAction(DcObject dco) {
        this.dco = dco;
        
    }
    
    public void actionPerformed(ActionEvent ae) {
        DcModule module = dco.getModule();
        DcObject dcoCopy = module.getDcObject();
        dcoCopy.copy(dco);
        
        // mark images as new
        int[] fields = dco.getModule().getFieldIndices();
        for (int i = 0; i < fields.length; i++) {
            Object value = dcoCopy.getValue(fields[i]);
            if (value instanceof Picture) 
                ((Picture) value).isNew(true);
        }
        
        Collection children = dco.getChildren();
        if (children != null) {
            for (Iterator iter = children.iterator(); iter.hasNext(); ) {
                DcObject child = (DcObject) iter.next();
                DcObject childCopy = child.getModule().getDcObject();
                childCopy.copy(child);
                dcoCopy.addChild(childCopy);
            }
        }

        ItemForm form = new ItemForm(DataCrow.mainFrame, false, false, dcoCopy, module.isImdbUpdateAllowed(), module.isAmazonUpdateAllowed(), false);
        form.setVisible(true);
        
        dco = null;
    }
}
