/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2007 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core.data;

import java.util.Comparator;

import net.sf.dc.core.objects.DcField;
import net.sf.dc.core.objects.DcObject;

public class ResultSorter implements Comparator {

    private DcField fld;

    public ResultSorter(DcField fld) {
        this.fld = fld;
    }

    public int compare(Object dco1, Object dco2) {
        int field = fld.getIndex();
        Object o1 = ((DcObject) dco1).getValue(field);
        Object o2 = ((DcObject) dco2).getValue(field);

        int diff = 0;
        if (o1 instanceof Integer) {
            Integer val1 = o1 == null ? new Integer(0) : (Integer) o1;
            Integer val2 = o2 == null ? new Integer(0) : (Integer) o2;
            diff = val1.compareTo(val2);
        } else {
            String s1 = o1 == null ? "" : o1.toString().toLowerCase();
            String s2 = o2 == null ? "" : o2.toString().toLowerCase();
            diff = s1.compareTo(s2);
        }
        
        return diff;
    }
}
