/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core.modules;

import javax.swing.ImageIcon;
import javax.swing.JMenu;
import javax.swing.KeyStroke;

import net.sf.dc.console.components.panels.QuickViewPanel;
import net.sf.dc.console.importcd.ImportCDDialog;
import net.sf.dc.core.Repository;
import net.sf.dc.core.modules.template.ITemplateModule;
import net.sf.dc.core.objects.DcMapping;
import net.sf.dc.core.objects.DcObject;
import net.sf.dc.core.objects.DcStorageMedium;
import net.sf.dc.processes.cdimport.ImportCDProcess;
import net.sf.dc.resources.DcResources;

public abstract class DcMappingModule extends DcModule {

    public DcMappingModule(int index, 
                           String tableName,
                           String tableShortName,
                           String tableJoin) {

        super(index, false, "mapping-module", tableName, tableShortName,
              tableJoin, false, false, false);
    } 
    
    public String getDescription() {
        return "";
    }
    
    public DcObject getDcObject() {
        DcMapping mapping = new DcMapping(getIndex());
        return mapping;
    }    

    public int getSimpleModuleIdx() {
        return getField(DcMapping._B_SIMPLE_OBJECT_ID).getModRef();
    } 

    public int getMediaModuleIdx() {
        return getField(DcMapping._A_MEDIA_OBJECT_ID).getModRef();
    } 
    
    public String getFieldDefinitionsSettingsKey() {
        return Repository.settings.stFieldDefinitionsMapping;
    }

    public String getObjectName() {
        return DcResources.getText("sysGenre");
    }

    public String getObjectNamePlural() {
        return DcResources.getText("sysGenres");
    } 
    
    protected abstract void initializeFields();
    
    public DcObject[] getDefaultData() throws Exception {
        return null;
    }

    public ImportCDProcess getCDImportProcess(ImportCDDialog ui, DcStorageMedium storageMedium, String sourceDir, boolean confirmDirs, boolean recursiveDirs, String nameOfCD) {
        return null;
    }

    public DcCategoryModule getCategoryModule() {
        return null;
    }

    public DcGenreModule getGenreModule() {
        return null;
    }

    public ImageIcon getIcon() {
        return null;
    }

    public ImageIcon getIconSmall() {
        return null;
    }

    public KeyStroke getKeyStroke() {
        return null;
    }

    public QuickViewPanel getQuickView() {
        return null;
    }

    public String getSearchOrderSettingsKey() {
        return null;
    }

    public DcStateModule getStateModule() {
        return null;
    }

    public DcStorageMediaModule getStorageMediaModule() {
        return null;
    }

    public ITemplateModule getTemplateModule() {
        return null;
    }

    public JMenu getToolsMenu() {
        return null;
    }

    protected void initializeUI() {}

    public boolean isEnabled() {
        return true;
    }

    public void isEnabled(boolean b) {}

    public void startImport() {}     
}