/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core.modules;

import javax.swing.ImageIcon;
import javax.swing.JMenu;
import javax.swing.KeyStroke;

import net.sf.dc.console.ComponentFactory;
import net.sf.dc.console.components.panels.QuickViewPanel;
import net.sf.dc.console.importcd.ImportCDDialog;
import net.sf.dc.core.Repository;
import net.sf.dc.core.modules.template.ITemplateModule;
import net.sf.dc.core.objects.DcField;
import net.sf.dc.core.objects.DcObject;
import net.sf.dc.core.objects.DcStorageMedium;
import net.sf.dc.core.objects.Loan;
import net.sf.dc.processes.cdimport.ImportCDProcess;
import net.sf.dc.resources.DcResources;

public class LoanModule extends DcModule {

    public LoanModule() {
        super(DcModules._LOAN,
              false,
              DcResources.getText(Repository.systemlabels.sysLoan),
              "loans",
              "lo",
              "loans",
              false,
              false,
              false);
    }
    
    public String getDescription() {
        return "";
    }

    public String getObjectName() {
        return DcResources.getText(Repository.systemlabels.sysLoan);
    }
    
    public KeyStroke getKeyStroke() {
        return null;
    }

    public String getObjectNamePlural() {
        return DcResources.getText(Repository.systemlabels.sysLoan);
    }

    public boolean isEnabled() {
        return DcModules.get(DcModules._CONTACTPERSON).isEnabled();
    }
    
    public void isEnabled(boolean b){}

    
    public ImageIcon getIcon() {
        return null;
    }
    
    public ImageIcon getIconSmall() {
        return null;
    }

    public JMenu getToolsMenu() {
        return null;
    }

    public DcCategoryModule getCategoryModule() {
        return null;
    }
    
    public DcStorageMediaModule getStorageMediaModule() {
        return null;
    }    
    
    public ITemplateModule getTemplateModule() {
        return null;
    }      
    
    public DcGenreModule getGenreModule() {
        return null;
    }   
    
    public DcStateModule getStateModule() {
        return null;
    }     

    public DcObject getDcObject() {
        return new Loan();
    }

    public void startImport() {
    }

    public QuickViewPanel getQuickView() {
        return null;
    }

    protected void initializeUI() {}

    public String getFieldDefinitionsSettingsKey() {
        return Repository.settings.stFieldDefinitionsLoan;
    }

    public ImportCDProcess getCDImportProcess(ImportCDDialog ui, DcStorageMedium storageMedium, String sourceDir, boolean confirmDirs, boolean recursiveDirs, String nameOfCD) {
        return null;
    }  

    public String getSearchOrderSettingsKey() {
        return null;
    }

    protected void initializeFields() {
        super.initializeFields();

        fields.put( new Integer(Loan._A_STARTDATE),
                new DcField(Loan._A_STARTDATE, getIndex(), "Start date",
                            false, true, false, false, false,
                            255, ComponentFactory._SHORTTEXTFIELD, getIndex(), Repository.datatypes._DATE,
                            "StartDate"));
        fields.put( new Integer(Loan._B_ENDDATE),
                    new DcField(Loan._B_ENDDATE, getIndex(), "End date",
                            false, true, false, false, false,
                            255, ComponentFactory._SHORTTEXTFIELD, getIndex(), Repository.datatypes._DATE,
                            "EndDate"));
        fields.put( new Integer(Loan._C_CONTACTPERSONID),
                    new DcField(Loan._C_CONTACTPERSONID, getIndex(), "Contact Person",
                            false, true, false, false, false,
                            50, ComponentFactory._NUMBERFIELD, getIndex(), Repository.datatypes._BIGINTEGER,
                            "PersonID"));
        fields.put( new Integer(Loan._D_OBJECTID),
                    new DcField(Loan._D_OBJECTID, getIndex(), "Object",
                            false, true, false, false, false,
                            50, ComponentFactory._NUMBERFIELD, getIndex(), Repository.datatypes._BIGINTEGER,
                            "ObjectID"));
    }

    public DcObject[] getDefaultData() {
        return new DcObject[0];
    }
}
