/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core.modules;

import javax.swing.ImageIcon;
import javax.swing.JMenu;
import javax.swing.KeyStroke;

import net.sf.dc.console.ComponentFactory;
import net.sf.dc.console.components.panels.QuickViewPanel;
import net.sf.dc.console.importcd.ImportCDDialog;
import net.sf.dc.core.Repository;
import net.sf.dc.core.modules.template.ITemplateModule;
import net.sf.dc.core.objects.DcField;
import net.sf.dc.core.objects.DcObject;
import net.sf.dc.core.objects.DcStorageMedium;
import net.sf.dc.core.objects.Picture;
import net.sf.dc.processes.cdimport.ImportCDProcess;

public class PictureModule extends DcModule {
    
    /**
     * Initializes this module
     */
    public PictureModule() {
        super(DcModules._PICTURE,
              false,
              "",
              "pictures",
              "pic",
              "pictures",
              false,
              false,
              false);
    }
    
    public String getDescription() {
        return "";
    }
    
    public String getObjectName() {
        return "";
    }
    
    public String getObjectNamePlural() {
        return "";
    }
    
    public ImageIcon getIcon() {
        return null;
    }
    
    public ImageIcon getIconSmall() {
        return null;
    }        
    
    public JMenu getToolsMenu() {
        return null;
    }

    protected void initializeUI() {}
    
    public DcObject getDcObject() {
        return new Picture();
    }
    
    public boolean isEnabled() {
        return true;
    }
    
    public void startImport() {}
    
    public QuickViewPanel getQuickView() {
        return null;
    }
    
    public DcCategoryModule getCategoryModule() {
        return null;
    }   
    
    public DcStateModule getStateModule() {
        return null;
    }     

    public DcGenreModule getGenreModule() {
        return null;
    } 
    
    public ITemplateModule getTemplateModule() {
        return null;
    }   
    
    public String getFieldDefinitionsSettingsKey() {
        return null;
    }

    public String getSearchOrderSettingsKey() {
        return null;
    }
    
    /**
     * Initalizes all the fields
     */
    protected void initializeFields() {
        fields.put( new Integer(Picture._A_OBJECTID), 
                    new DcField(Picture._A_OBJECTID, getIndex(), "ObjectID", 
                            false, true, false, false, false,
                            50, ComponentFactory._NUMBERFIELD, getIndex(), Repository.datatypes._BIGINTEGER, 
                            "ObjectID"));
        fields.put( new Integer(Picture._B_FIELD), 
                    new DcField(Picture._B_FIELD, getIndex(), "Field", 
                            false, true, false, false, false,
                            100, ComponentFactory._SHORTTEXTFIELD, getIndex(), Repository.datatypes._STRING, 
                            "Field"));
        fields.put( new Integer(Picture._C_FILENAME), 
                    new DcField(Picture._C_FILENAME, getIndex(), "Filename", 
                            false, true, true, false, false, 
                            500, ComponentFactory._FILELAUNCHFIELD, getIndex(), Repository.datatypes._STRING, 
                            "Filename"));
        fields.put( new Integer(Picture._D_IMAGE), 
                    new DcField(Picture._D_IMAGE, getIndex(), "Image", 
                            true, true, true, false, false, 
                            0, ComponentFactory._PICTUREFIELD, getIndex(), Repository.datatypes._BYTEARRAY, 
                            "Image"));        
        fields.put( new Integer(Picture._E_HEIGHT), 
                    new DcField(Picture._E_HEIGHT, getIndex(), "Height", 
                            false, true, true, false, false, 
                            0, ComponentFactory._NUMBERFIELD, getIndex(), Repository.datatypes._INTEGER, 
                            "Height"));        
        fields.put( new Integer(Picture._F_WIDTH), 
                    new DcField(Picture._F_WIDTH, getIndex(), "Width", 
                            false, true, true, false, false, 
                            0, ComponentFactory._NUMBERFIELD, getIndex(), Repository.datatypes._INTEGER, 
                            "Width"));        
    }
    
    public DcObject[] getDefaultData() {
        return new DcObject[0];
    }

    public DcStorageMediaModule getStorageMediaModule() {
        return null;
    }

    public void isEnabled(boolean b) {
    }

    public KeyStroke getKeyStroke() {
        return null;
    }

    public ImportCDProcess getCDImportProcess(ImportCDDialog ui, DcStorageMedium storageMedium, String sourceDir, boolean confirmDirs, boolean recursiveDirs, String nameOfCD) {
        return null;
    }
}
