/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core.modules.audiocd;

import net.sf.dc.console.ComponentFactory;
import net.sf.dc.core.Repository;
import net.sf.dc.core.modules.DcMappingModule;
import net.sf.dc.core.modules.DcModules;
import net.sf.dc.core.objects.DcField;
import net.sf.dc.core.objects.DcMapping;

public class AudioCDGenreMappingModule extends DcMappingModule {

    public AudioCDGenreMappingModule() {
        super(DcModules._AUDIOCDGENREMAPPING, "audiocdgenremapping", "acgenmap", "audiocdgenremapping");
    }

    protected void initializeFields() {
        fields.put( new Integer(DcMapping._A_MEDIA_OBJECT_ID),
                    new DcField(DcMapping._A_MEDIA_OBJECT_ID, getIndex(), "Media Object ID",
                        false, true, false, false, false,
                        50, ComponentFactory._NUMBERFIELD, DcModules._AUDIOCD, Repository.datatypes._BIGINTEGER,
                        "MediaObjectID"));
        fields.put( new Integer(DcMapping._B_SIMPLE_OBJECT_ID),
                    new DcField(DcMapping._B_SIMPLE_OBJECT_ID, getIndex(), "Simple Object ID",
                        false, true, false, false, false,
                        50, ComponentFactory._NUMBERFIELD, DcModules._MUSICGENRE, Repository.datatypes._BIGINTEGER,
                        "SimpleObjectId"));
        fields.put( new Integer(DcMapping._C_DISPLAY_STRING),
                        new DcField(DcMapping._C_DISPLAY_STRING, getIndex(), "Display String",
                        true, true, true, false, false,
                        50, ComponentFactory._SHORTTEXTFIELD, getIndex(), Repository.datatypes._STRING,
                        "DisplayString"));
    }
}
