/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core.modules.musicalbum;

import net.sf.dc.core.Repository;
import net.sf.dc.core.modules.DcModules;
import net.sf.dc.core.modules.DcStorageMediaModule;
import net.sf.dc.core.objects.DcObject;
import net.sf.dc.core.objects.musicalbum.MusicAlbumStorageMedium;
import net.sf.dc.resources.DcResources;

public class MusicAlbumStorageMediaModule extends DcStorageMediaModule {

    public MusicAlbumStorageMediaModule() {
        super(DcModules._MUSICALBUMSTORAGE,
              false,
              DcResources.getText(Repository.systemlabels.sysStorageMedium),
              "musicalbumstoragemedia",
              "masme",
              "musicalbumstoragemedia",
              false,
              false,
              false);
    }

    public String getObjectName() {
        return DcResources.getText(Repository.systemlabels.sysStorageMedium);
    }
    
    public String getObjectNamePlural() {
        return DcResources.getText(Repository.systemlabels.sysStorageMediumPlural);
    }

    public DcObject getDcObject() {
        return new MusicAlbumStorageMedium();
    }
    
    public String getFieldDefinitionsSettingsKey() {
        return Repository.settings.stFieldDefinitionsMusicAlbumStorage;
    }
    
    public DcObject[] getDefaultData() throws Exception {
        String[] values = {"DVD-ROM", "CD-ROM", "Tape", "Floppy", "HD", "USB Stick", "Blue-Ray Disc"};
        DcObject[] objects = new DcObject[values.length];
        for (int i = 0; i < values.length; i++) {
            DcObject dco = getDcObject();
            dco.setValue(MusicAlbumStorageMedium._A_NAME, values[i]);
            objects[i] = dco;
        }
        return objects;
    }    
}