/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core.objects;

import javax.swing.ImageIcon;

import net.sf.dc.core.data.DataManager;
import net.sf.dc.settings.definitions.DcFieldDefinitions;

public class DcMapping extends DcObject {
    
    public static final int _A_MEDIA_OBJECT_ID = 1;
    public static final int _B_SIMPLE_OBJECT_ID = 2;
    public static final int _C_DISPLAY_STRING = 3;
    
    public DcMapping(int module) {
        super(module);
    }

    public ImageIcon getIcon() {
        return null;
    } 
    
    public String getFilename() {
        return null;
    }

    public DcObject getSimpleObject() {
        return DataManager.getObject(getSimpleModuleIdx(), getSimpleObjectId());
    }
    
    public int getMediaModuleIdx() {
        return getField(_A_MEDIA_OBJECT_ID).getModRef();
    }

    public int getSimpleModuleIdx() {
        return getField(_B_SIMPLE_OBJECT_ID).getModRef();
    }
    
    public String getMediaObjectId() {
        return (String) getValue(_A_MEDIA_OBJECT_ID);
    }

    public String getSimpleObjectId() {
        return (String) getValue(_B_SIMPLE_OBJECT_ID);
    }
    
    public String toString() {
        DcObject dco = getSimpleObject();
        return dco == null ? "" : dco.toString();
    }
    
    public void applySettings(DcFieldDefinitions definitions) {}
    protected void setModuleIndex() {}
}
