/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core.objects.image;

import javax.swing.ImageIcon;

import net.sf.dc.core.modules.DcModules;
import net.sf.dc.core.objects.DcMediaObject;

public class Image extends DcMediaObject {

    public static final int _F_WIDTH = 6;
    public static final int _G_HEIGHT = 7;
    public static final int _H_FILENAME = 8;
    public static final int _I_IMAGE = 9;
    public static final int _J_STATE = 10;
    public static final int _K_CATEGORY = 11;
    public static final int _L_STORAGEMEDIUM = 12;
    public static final int _M_FILESIZE = 13;
    public static final int _N_DATE = 14;
    public static final int _O_COMPRESSION = 15;
    public static final int _P_PLACE = 16;
    public static final int _Q_CAMERA = 17;

    public Image() {
        super();
    }

    protected void setModuleIndex() {
        module = DcModules._IMAGE;
    }

    public ImageIcon getIcon() {
        return null;
    }

    public String getFilename() {
        return (String) getValue(Image._H_FILENAME);
    }

    public String toString() {
        return getValue(Image._A_TITLE) != null ? getValue(Image._A_TITLE).toString() : "";
    }
}
