/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core.objects.musicalbum;

import java.util.ArrayList;

import javax.swing.ImageIcon;

import net.sf.dc.core.data.DataManager;
import net.sf.dc.core.modules.DcModules;
import net.sf.dc.core.objects.DcMediaObject;

public class MusicAlbum extends DcMediaObject {

    public static final int _F_ARTIST = 6;
    public static final int _G_GENRES = 7;
    public static final int _H_STATE = 8;
    public static final int _I_STORAGEMEDIUM = 9;
    public static final int _J_PICTUREFRONT = 10;
    public static final int _K_PICTUREBACK = 11;
    public static final int _L_PICTURECD = 12;
    public static final int _M_DISCID = 13;
    public static final int _N_WEBPAGE = 14;

    public MusicAlbum() {
        super();
    }

    public void loadChildren() {
        if (children == null || children.size() == 0) {
        	children = new ArrayList();
        	children.addAll(DataManager.getChildren(getID(), DcModules._MUSICTRACK));
        }
    }
    
    
    protected void setModuleIndex() {
        module = DcModules._MUSICALBUM;
    }

    public ImageIcon getIcon() {
        return null;
    }

    public String getFilename() {
        return null;
    }

    public String toString() {
        return getValue(MusicAlbum._A_TITLE) != null ? getValue(MusicAlbum._A_TITLE).toString() : "";
    }
}
