/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core.objects.musicalbum;

import javax.swing.ImageIcon;

import net.sf.dc.core.modules.DcModules;
import net.sf.dc.core.objects.DcMediaObject;

public class MusicTrack extends DcMediaObject {

	public static final int _F_TRACKNUMBER = 6;
    public static final int _G_ARTIST = 7;
    public static final int _H_GENRES = 8;
    public static final int _I_FILENAME = 9;
    public static final int _J_PLAYLENGTH = 10;
    public static final int _K_QUALITY = 11;
    public static final int _L_ENCODING = 12;
    public static final int _M_LYRIC = 13;
    public static final int _N_FILESIZE = 14;
    public static final int _O_STATE = 15;
    public static final int _P_ALBUM = 16;

    public MusicTrack() {
        super();
    }

    protected void setModuleIndex() {
        module = DcModules._MUSICTRACK;
    }

    public ImageIcon getIcon() {
        return null;
    }

    public String getFilename() {
        return (String) getValue(MusicTrack._I_FILENAME);
    }

    public String toString() {
        return getValue(MusicTrack._A_TITLE) != null ? getValue(MusicTrack._A_TITLE).toString() : "";
    }
}
