/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core.objects.template;

import javax.swing.ImageIcon;

import net.sf.dc.core.modules.DcModules;
import net.sf.dc.core.objects.image.Image;
import net.sf.dc.exceptions.ValidationException;

public class TemplateImage extends Image implements ITemplate {

    public static final int _SYS_TEMPLATENAME = 50;
    public static final int _SYS_DEFAULT = 51;
 
    public TemplateImage() {
        super();
     }

     protected void setModuleIndex() {
         module = DcModules._TEMPLATEIMAGE;
     }

     public ImageIcon getIcon() {
         return null;
     }
     
     public boolean isDefault() {
         Object o = getValue(_SYS_DEFAULT);
         
         if (o == null)
             return false;
         
         if (o instanceof String)
             return new Boolean((String) o).booleanValue();
         
         return ((Boolean) getValue(_SYS_DEFAULT)).booleanValue();
     }

     public String getTemplateName() {
         return (String) getValue(_SYS_TEMPLATENAME);
     }     
     
     public String toString() {
         return getValue(TemplateMovie._SYS_TEMPLATENAME) != null ? 
                getValue(TemplateMovie._SYS_TEMPLATENAME).toString() : "";
     }    
     
     public int getParentModule() {
         return DcModules._IMAGE;
     }  
     
     public void checkIntegrity(boolean update) throws ValidationException {
         validateRequiredFields();
         isUnique(this, update);
     }  
}
