/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core.services;

import net.sf.dc.processes.http.IMDBMovieUpdate;
import net.sf.dc.processes.http.IOnlineUpdateListener;
import net.sf.dc.processes.http.InternetUpdateProcess;

public class DcImdbServer extends DcServer {

    public DcImdbServer() {
        super("Imdb", "http://www.imdb.com", true);
        addRegion(new DcRegion("us", "Default (english)", "http://www.imdb.com"));
        addRegion(new DcRegion("us", "USA (english)", "http://us.imdb.com"));
        addRegion(new DcRegion("it", "Italy (english)", "http://italian.imdb.com"));
        addRegion(new DcRegion("de", "Germany (english)", "http://german.imdb.com"));
        addRegion(new DcRegion("fr", "France (english)", "http://french.imdb.com"));
        addRegion(new DcRegion("sp", "Spain (english)", "http://spanish.imdb.com"));        
    }
    
    public InternetUpdateProcess getProcess(IOnlineUpdateListener listener, 
            String searchString, 
            DcSearchMode mode, 
            DcRegion region) {

        return new IMDBMovieUpdate(listener, searchString, region);
    }    
}
