/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core.services;

public class DcRegion {
    
    private final String url;
    private final String code;
    private final String displayName;

    public DcRegion(String code, String displayName, String url) {
        this.code = code;
        this.url = url;
        this.displayName = displayName;
    }
    
    public String getCode() {
        return code;
    }
    
    public String getUrl() {
        return url;
    }
    
    public String toString() {
        return displayName;
    }
    
    public int hashCode() {
        return getUrl().hashCode();
    }    
    
    public boolean equals(Object o) {
        boolean equals = false;
        if (o instanceof DcRegion) {
            equals = ((DcRegion) o).getUrl().equals(url);
        } else if (o instanceof String) {
            equals = ((String) o).equals(url);
        }
        return equals;
    }    
}
