/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.helpsystem;

import java.awt.Window;
import java.net.URL;

import javax.help.DefaultHelpBroker;
import javax.help.HelpSet;

import net.sf.dc.console.dialogs.MessageBox;
import net.sf.dc.core.Repository;
import net.sf.dc.resources.DcResources;
import net.sf.dc.settings.DcSettings;
import net.sf.ext.util.Utilities;

public class JavaHelp {

    private static String helpIndex = "dc.Introduction";

    public static void setHelpIndex(String helpIndex) {
    	JavaHelp.helpIndex = helpIndex;
    }

	public JavaHelp(Window window) {
		try {
			ClassLoader cl = JavaHelp.class.getClassLoader();
            URL url = ClassLoader.getSystemResource("jHelpSet.hs");

            HelpSet hs = new HelpSet(cl, url);
            hs.setTitle(DcResources.getText("lblHelp"));
            
            DefaultHelpBroker hb = new DefaultHelpBroker();
            hb.setHelpSet(hs);
            hb.setActivationWindow(window);
            hb.setCurrentID(helpIndex);
            hb.setSize(DcSettings.getValueAsDimension(Repository.settings.stHelpFormSize));
            hb.setLocation(Utilities.getCenteredWindowLocation(hb.getSize()));
            hb.setFont(DcSettings.getValueAsFont(Repository.settings.stSystemFontBold));
            hb.setDisplayed(true);
		} catch (Exception e) {
            new MessageBox(DcResources.getText("msgErrorOpeningHelp"), MessageBox._ERROR);
            return;
		}
	}
}