/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.processes;

import java.util.Collection;

public class DataTask extends Thread {

    protected Collection objects;
    protected int[] uiRows;

    private boolean isRunning = false;
    private boolean keepOnRunning = true;

    public DataTask(Collection objects) {
        this.objects = objects;
    }

    public DataTask() {}
    
    public DataTask(int[] rows) {
        this.uiRows = rows;
    }
    
    public void cancel() {
    	keepOnRunning = false;
    }

    public void stopRunning() {
        keepOnRunning = false;
    	isRunning = false;
    }

    public void startRunning() {
        isRunning = true;
        keepOnRunning = true;
    }

    public boolean isRunning() {
    	return isRunning;
    }

    public boolean keepOnRunning() {
    	return keepOnRunning;
    }
}
