/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.processes.cdimport;

import net.sf.dc.console.importcd.ImportCDDialog;
import net.sf.dc.core.modules.DcModules;
import net.sf.dc.core.objects.DcObject;
import net.sf.dc.core.objects.DcStorageMedium;
import net.sf.dc.core.objects.software.Software;
import net.sf.dc.messages.Messages;

public class ImportSoftwareCD extends ImportCDProcess {

    public ImportSoftwareCD(ImportCDDialog ui,
                            DcStorageMedium storageMedium,
                            String sourceDir,
                            boolean confirmDirs,
                            boolean recursiveDirs,
                            String cdName) {
        super(ui, storageMedium, sourceDir, confirmDirs, recursiveDirs, cdName);
    }

    public String[] getExtensions() {
        return new String[] {};
    }

    protected int getModule() {
        return DcModules._SOFTWARE;
    }

    protected DcObject parseInformation(String filename) {
        Software software = new Software();
        try {
            software.setValue(Software._A_TITLE, getName(filename));
            software.setValue(Software._J_FILENAME, filename);
            software.setValue(Software._D_LOCATION, cdName);
            software.setValue(Software._T_FILESIZE, new Integer(getFileSize(filename)));
            software.setValue(Software._W_STORAGEMEDIUM, storageMedium);
            return software;
        } catch (Exception exp) {
            Messages.add(exp);
            return null;
        }
    }
}
