/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2007 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.processes.http;

public class RemovalTag {

    public static int _REMOVELINE = 0;
    public static int _REMOVETAG = 1;
    
    private int modus;
    private String tag;
    
    public RemovalTag(int modus, String tag) {
        this.modus = modus;
        this.tag = tag;
    }
    
    public boolean isRemoveLine() {
        return modus == _REMOVELINE;
    }
    
    public boolean isRemoveTag() {
        return modus == _REMOVETAG;
    }
    
    public String apply(String s) { 
        String result = s;
        if (isRemoveLine() && s.toLowerCase().startsWith(tag))
            result = "";
        else if (isRemoveTag() && s.toLowerCase().indexOf(tag) > -1) {
            while (result.indexOf(tag) > -1)
                result = result.substring(0, result.indexOf(tag)) +  "\n\n" + result.substring(result.indexOf(tag) + tag.length());
        }
        return result.trim();
    }
    
    public boolean isMatch(String s) {
        return isRemoveLine() && s.toLowerCase().startsWith(tag) ? true :
               isRemoveTag() && s.indexOf(tag) > -1 ? true : false;
    }
    
}
