/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.reporting.transformers;

import java.util.ArrayList;
import java.util.Collection;

public abstract class XmlTransformers {

    public static final int _PDF = 0;
    public static final int _HTML = 1;
    public static final int _RTF = 2;
    
    private static Collection transformers = new ArrayList(); 
    
    static {
        transformers.add(new Xml2HtmlTransformer());
        transformers.add(new Xml2PdfTransformer());
        
        // TODO: enable after Apache FOP 1.0 release
        // transformers.add(new Xml2RtfTransformer());
    }
    
    public static Collection getTransformers() {
        return transformers;
    }
}
