/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.settings.definitions;

import java.util.Collection;
import java.util.Iterator;
import java.util.LinkedList;

public abstract class Definitions {
    
    protected final LinkedList definitions;
    
    public Definitions() {
        definitions = new LinkedList();
    }
    
    public int size() {
        return definitions.size();
    }
    
    public Iterator iterator() {
        return definitions.iterator();
    }

    public abstract void addDefinition(String definition);

    public void clear() {
        definitions.clear();
    }
    
    public void addDefinitions(Collection c) {
        definitions.addAll(c);
    }
    
    public void addDefinition(Definition definition) {
        definitions.add(definition);
    }
    
}
