/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.settings.definitions;

import java.util.Iterator;

public class ProgramDefinitions extends Definitions {

	public String getProgramForExtension(String extension) {
		for (Iterator iter = definitions.iterator(); iter.hasNext(); ) {
			ProgramDefinition definition = (ProgramDefinition) iter.next();
			if (definition.getExtension().equals(extension)) 
				return definition.getProgram();
		}
		return null;
	}
    
    public void addDefinition(String s) {
        int index = s.indexOf("/&/");
        String extension = s.substring(0, index);
        String program = s.substring(index + 3, s.length());

        addDefinition(new ProgramDefinition(extension, program));
    }     
}
