/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.wf;

import java.util.Collection;

import net.sf.dc.wf.requests.IUpdateUIRequest;
import net.sf.dc.wf.requests.IRequest;
import net.sf.dc.wf.requests.RequestCollection;

public class UIUpdater implements Runnable {

    private Collection objects;
    private RequestCollection requests;
    private boolean qryWasSuccess;

    public UIUpdater(Collection values,
                     RequestCollection requestors,
                     boolean qryWasSuccess) {
        this.qryWasSuccess = qryWasSuccess;
        this.objects = values;
        this.requests = requestors;
    }

    public void close() {
        objects = null;

        if (requests != null)
            requests.clear();
        
        requests = null;
    }

    public void run() {
        if (requests != null) {
            IRequest[] requestArray = requests.getRequests();

            for (int i = 0; i < requestArray.length; i++) {
                IRequest request = requestArray[i];
                
                if (request instanceof IUpdateUIRequest) { 
                    if (qryWasSuccess || request.getExecuteOnFail())
                        request.execute(objects);
                }
            }            
        }
        close();
    }
}
