/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.wf.requests;

import java.util.Collection;

import net.sf.dc.console.forms.DcSimpleItemView;
import net.sf.dc.console.views.MasterView;
import net.sf.dc.console.views.table.TableSearchView;
import net.sf.dc.core.modules.DcModule;
import net.sf.dc.core.modules.DcModules;
import net.sf.dc.core.objects.DcObject;

public class RefreshChildView implements IUpdateUIRequest {

    private boolean executeOnFail = false;
    private DcSimpleItemView form;
    private DcObject child;
    
    private int parentModuleIdx;
    
    private String ID;
    private String parentID;
    private boolean isNew;
    
    public RefreshChildView(DcSimpleItemView form, int parentModuleIdx, DcObject child, String ID, String parentID, boolean isNew) {
        this.form = form;
        this.child = child;
        this.ID = ID;
        this.parentID = parentID;
        this.isNew = isNew;
        this.parentModuleIdx = parentModuleIdx;
    }
    
    public void execute(Collection c) {
        if (form != null)
            form.addObjects();
        
        DcModule parentModule = DcModules.get(parentModuleIdx);
        DcModule childModule = parentModule.getChildModule();

        parentModule.getSearchView().get(MasterView._LIST_VIEW).updateRow(parentID, parentModule.getDcObject(), false, false, false);

        if (!isNew) {
            if (child != null) {
                childModule.getSearchView().get(MasterView._TABLE_VIEW).updateRow(child.getID(), child, true, true, false);
            } else if (ID != null) {
                childModule.getSearchView().get(MasterView._TABLE_VIEW).removeRows(new String[] {ID});
            } else {
                TableSearchView tableView = (TableSearchView) parentModule.getSearchView().get(MasterView._TABLE_VIEW);
                tableView.loadChildValues();
            }
        } else {
            TableSearchView tableView = (TableSearchView) parentModule.getSearchView().get(MasterView._TABLE_VIEW);
            tableView.loadChildValues();
        }
    }

    public boolean getExecuteOnFail() {
        return executeOnFail;
    }
    
    public void setExecuteOnFail(boolean b) {
        executeOnFail = b;
    }
}
