/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.wf.requests;

import java.util.Collection;

import net.sf.dc.core.data.DataManager;
import net.sf.dc.core.objects.DcObject;
import net.sf.dc.core.objects.template.TemplateSoftware;
import net.sf.dc.messages.Messages;

public class UpdateDefaultTemplate implements IRequest {

    private final String templateName;
    private final int module;

    public UpdateDefaultTemplate(String templateName, int module) {
        this.templateName = templateName;
        this.module = module;
    }

    public void execute(Collection objects) {
        try {
            DcObject[] templates = DataManager.get(module, null);
            for (int i = 0; i < templates.length; i++) {
                if (!templates[i].getValue(TemplateSoftware._SYS_TEMPLATENAME).equals(templateName)) {
                    templates[i].setValue(TemplateSoftware._SYS_DEFAULT, new Boolean(false));
                    templates[i].saveUpdate(false);
                }
            }
        } catch (Exception exp) {
            Messages.add(exp);
        }
    }

    public boolean getExecuteOnFail() {
        return false;
    }

    public void setExecuteOnFail(boolean b) {}
}