/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.wf.requests;

import java.util.Collection;

import net.sf.dc.console.MainFrame;
import net.sf.dc.console.views.View;
import net.sf.dc.core.Repository;
import net.sf.dc.core.modules.DcModule;
import net.sf.dc.core.modules.DcModules;
import net.sf.dc.settings.DcSettings;

public class UpdateStatusProgressBarRequest implements IRequest {

    private boolean executeOnFail = true;
    private final int module;
    private final int panel;
    private final int value;
    
    public UpdateStatusProgressBarRequest(int module, int panel, int value) {
        this.module = module;
        this.panel = panel;
        this.value = value;
    }
    
    public void execute(Collection c) {
        DcModule mod = DcModules.get(DcSettings.getValueAsInt(Repository.settings.stModule));
        if (mod.getIndex() != DcModules._GENERIC)
            mod = DcModules.get(module);

        try {
            View view;
            if (panel == MainFrame._SEARCHTAB) 
                view = mod.getCurrentSearchView();
            else
                view = mod.getCurrentInsertView();
            
            view.updateProgressBar(value);

        } catch (Exception ignore) {}
    }

    public boolean getExecuteOnFail() {
        return executeOnFail;
    }
    
    public void setExecuteOnFail(boolean b) {
        executeOnFail = b;
    }
}