/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.ext.util;

import java.util.LinkedList;

public class Converter {

    public static String getValidXmlTag(String s) {
        String tag = s == null ? "" : s;
        tag = tag.replaceAll(" ", "-");
        tag = tag.replaceAll("[()]", "");
        tag = tag.replaceAll("[?]", "");
        tag = tag.toLowerCase();
        return tag;        
    }
    
    public static String databaseValueConverter(String s) {
        s = s.replaceAll("'", "`");
        s = s.replaceAll("\u0000", " ");
        s = s.replaceAll(">", " ");
        
        try {
            byte[] utf8 = s.getBytes("UTF-8");
            s = new String(utf8, "UTF-8");
            utf8 = null;
        } catch (Exception ignore) {}
        return s;
    }

    public static String deleteEntersFromString(String sValue) {
        sValue = sValue.replaceAll("\n", " ");
        sValue = sValue.replaceAll("\r", " ");
        return sValue;
    }

    public static LinkedList stringArrayToList(String[] stringArray) {
        LinkedList c = new LinkedList();
        if (stringArray == null)
            return c;

        for (int i = 0; i < stringArray.length; i++) {
            if (stringArray[i] != null)
                c.add(stringArray[i]);
        }

        return c;
    }
}
