package net.sf.ext.util;

public class GarbageControl {

    // only schedule garbage collection for the application once
    private static boolean done = false;

    public static void suggestGCNow() {
        System.gc();
    }

    private class GCStimulatorTask extends java.util.TimerTask {
        public void run() {
            suggestGCNow();
        }
    }

    private static GCStimulatorTask instance = null;

    private synchronized GCStimulatorTask getInstance() {
        if (instance == null) {
            instance = new GCStimulatorTask();
        }
        return instance;
    }

    public void scheduleRegularGC (long intervalMilliSecs) {
        if (!done){ 
            // only schedule 1 garbage collector per appl
            GCStimulatorTask stimulator = getInstance () ;
            java.util.Timer scheduler = new java.util.Timer () ;
            scheduler.scheduleAtFixedRate (stimulator, 10, intervalMilliSecs);
            done = true ;
              } else {
            System.err.println("GC Task already scheduled.");
        }
    }

    public GarbageControl() {
    }
}
