<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
  <html>

  <head>
    <style type="text/css" MEDIA="screen">
        body {  font-family: Arial, Verdana;
                font-size: 11px;}
        h1 {    font-size: 13px;
                font-weight: bolder;}
        tr, td.label,td.text {
                height: 35px;
                vertical-align: top;}
        td.label {
                font-weight: bolder;
                font-size: 12px;
                background-color: #FAFAD2;}
        td.text {
                font-size: 12px;
                background-color: #FFFFCC;}
    </style>
  </head>
  
  <body>
    <h1>Contact Persons</h1>
    
    <xsl:for-each select="data-crow-objects/*">
    
        <h1><xsl:value-of select="name"/></h1>

        <table width="600" style="border:0;" cellspacing="0" cellpadding="10">

            <colgroup valign="top" align="left">
                <col width="100" />
                <col width="500" />
            </colgroup>

            <tr><td class="label">Description</td>
                <td class="text"><xsl:value-of select="description"/></td></tr>
            <tr><td class="label">Category</td>
                <td class="text"><xsl:value-of select="category"/></td></tr>
            <tr><td class="label">Email</td>
                <td class="text"><xsl:value-of select="email"/></td></tr>
            <tr><td class="label">Address</td>
                <td class="text"><xsl:value-of select="address"/></td></tr>
            <tr><td class="label">Phone (home)</td>
                <td class="text"><xsl:value-of select="phone-home"/></td></tr>
            <tr><td class="label">Phone (work)</td>
                <td class="text"><xsl:value-of select="phone-work"/></td></tr>
        </table>
        
        <br />
        
        <table style="border:0;">
          <tr>
            <td>
              <xsl:if test="photo != ''">
                <img alt=""><xsl:attribute name="src"><xsl:value-of select="photo" /></xsl:attribute></img>
              </xsl:if>
            </td>
          </tr>
        </table>
      <br /><br />
    </xsl:for-each>
  </body>
  </html>
</xsl:template>
</xsl:stylesheet>
